Edushade Docs
Event_participants

Register participant

POST
/admin/events/{event_id}/participants
AuthorizationBearer <token>

In: header

Path Parameters

event_idstring

The event id identifier

Formatuuid
companystring
Default"TechCorp"
designationstring
Default"Software Engineer"
emailstring
Default"john.doe@example.com"
Formatemail
metadataobject
namestring
Default"John Doe"
phonestring
Default"+1234567890"
pricing_idstring
Default"123e4567-e89b-12d3-a456-426614174000"
Formatuuid
utm_campaignstring
Default"ai_event_2024"
utm_contentstring
Default"banner_ad"
utm_mediumstring
Default"organic"
utm_sourcestring
Default"website"
utm_termstring
Default"artificial intelligence"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/events/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants" \
  -H "Content-Type: application/json" \
  -d '{
    "company": "TechCorp",
    "designation": "Software Engineer",
    "email": "john.doe@example.com",
    "metadata": {
      "experience_level": "intermediate",
      "interests": [
        "string"
      ],
      "referral_source": "linkedin"
    },
    "name": "John Doe",
    "phone": "+1234567890",
    "pricing_id": "123e4567-e89b-12d3-a456-426614174000",
    "utm_campaign": "ai_event_2024",
    "utm_content": "banner_ad",
    "utm_medium": "organic",
    "utm_source": "website",
    "utm_term": "artificial intelligence"
  }'
{}
Empty
Empty
Empty